Skip to main content
GET
/
v1
/
limits
/
trading
Get Trading Limits
curl --request GET \
  --url https://api.gm.ondo.finance/v1/limits/trading \
  --header 'x-api-key: <api-key>'
{
  "timestamp": 1746655938000,
  "symbol": "AAPLon",
  "side": "buy",
  "maxTokens": "100.000000000000000000",
  "maxNotionalValue": "1234.560000000000000000",
  "remainingAttestations": "3",
  "isAssetTradingOpen": false,
  "reason": {
    "message": "Weekend/Holiday",
    "documentation": "https://docs.ondo.finance/",
    "code": "MARKET_CLOSED"
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

symbol
string
required

The GM token symbol.

side
enum<string>
required

The trade side The direction of the trade.

Available options:
buy,
sell

Response

OK

timestamp
number
required

The Unix timestamp in milliseconds when the trading limits were last updated.

Example:

1746655938000

symbol
string
required

The GM token symbol.

Example:

"AAPLon"

side
enum<string>
required

The direction of the trade.

Available options:
buy,
sell
maxTokens
string
required

The maximum token amount available to trade, represented as a string-encoded decimal with up to 18 digits after the decimal point.

Example:

"100.000000000000000000"

maxNotionalValue
string
required

The maximum notional value available to trade, represented as a string-encoded decimal with up to 18 digits after the decimal point.

Example:

"1234.560000000000000000"

remainingAttestations
string
required

The number of remaining attestations for this asset.

Example:

"3"

isAssetTradingOpen
boolean
required

Indicates whether the user is currently allowed to trade the asset

Example:

false

reason
object

Reason why trading is restricted for the given asset and user.